@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --primary-color: #0c3495;
    --secondary-color: #FFE400;
}

* {
    font-family: 'Poppins', sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    text-decoration: none;
    list-style: none;
}

body {
    background-color: var(--primary-color);
}

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.modal-container {
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.699);
    backdrop-filter: blur(10px);
    z-index: 10;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    justify-content: center;
    align-items: center;
}

.modal-container::-webkit-scrollbar {
    display: none;
}

@media screen and (max-height: 550px ) {
    .modal-container {
        overflow-y: auto;
        align-items: start;
    }
}

.modal-container .modal .panel-bg {
    width: 100%;
    height: 100%;
    position: absolute;
    pointer-events: none;
    user-select: none;
    z-index: -1;
}

.modal-container .modal .modal-illustration {
    position: absolute;
    pointer-events: none;
    user-select: none;
    z-index: -1;
    bottom: -80px;
    right: -180px;
}

@media screen and (max-width: 850px) {
    .modal-container .modal .modal-illustration {
        display: none;
    }
}


.modal-container .modal {
    width: 600px;
    height: auto;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 8rem 3rem;
    text-align: center;
    gap: 30px;
}

.modal-container .modal h6 {
    font-size: 27px;
    color: white;
    text-transform: uppercase;
    font-weight: 800;
}

.modal-container .modal h6 span {
    color: var(--secondary-color);
    font-weight: bold;
}

.modal-container .modal p {
    color: white;
    font-size: 21px;
    font-weight: 400;
    text-align: center;
    max-width: 85%;
}

.modal-container .modal p span {
    color: var(--secondary-color);
}

.modal-container .modal .modal-btn {
    padding: 1rem 2rem;
    color: white;
    font-size: 21px;
    border: 2px solid white;
    font-weight: 700;
    text-transform: uppercase;
    background-image: url(btn-bg.png);
    background-size: cover;
    background-position: center;
    cursor: pointer;
    border-radius: 12px;
}


.modal-container.active {
    display: flex;
}

.modal-container.active .modal {
    animation: scale-modal .5s forwards;
}

@keyframes scale-modal {
    from {
        transform: scale(0);
        opacity: 0.5;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}


.modal-container .modal .claim-btn {
    position: absolute;
    transform: translateX(-50%);
    left: 50%;
    bottom: 25px;
}

@media screen and (max-width: 650px) {
    .modal-container .modal {
        width: 100%;
    }
}

@media screen and (max-width: 400px) {
    .modal-container .modal {
        gap: 20px;
    }
    .modal-container .modal h6 {
        font-size: 25px;
    }
    .modal-container .modal p {
        font-size: 16px;
    }
}



::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-thumb {
    background: var(--primary-color);
    border-radius: 5px;
}

::-webkit-scrollbar-track {
    background: #e2e2e2;
}

.footer {
    width: 100%;
    background-color: var(--primary-color);
    min-height: 100px;
    display: flex;
    align-items: center;
    padding: 1rem;
    margin-top: 60px;
    z-index: 5;
    position: relative;
}

.footer .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.footer img {
    width: 150px;
}

.footer p {
    font-size: 18px;
    text-transform: uppercase;
    max-width: 400px;
    color: #fff;
}

@media screen and (max-width: 680px){
    .footer .container {
        gap: 1rem;
        justify-content: center;
    }

    .footer p {
        text-align: center;
    }
}